Distribution:		CCux
Packager:		Christian Metzen <metzench@ccux-linux.de>

Summary: 		Network status applet
Name: 			gnome-netstatus
Version: 		2.12.1
Release: 		1
URL: 			http://www.gnome.org
Source0: 		ftp://ftp.gnome.org/pub/GNOME/sources/gnome-netstatus/2.11/%{name}-%{version}.tar.bz2
License: 		GPL
Group: 			User Interface/Desktops
BuildRoot: 		%{_tmppath}/%{name}-root

Prereq: 		gtk2+
Requires: 		gtk2+
Requires: 		libglade
Requires(pre): GConf
Requires(preun): GConf
Requires(post): GConf
Requires: 		libgnomeui
Requires: 		gnome-panel

BuildRequires: 		gtk2+-devel
BuildRequires: 		libglade-devel
BuildRequires: 		GConf-devel
BuildRequires: 		libgnomeui-devel
BuildRequires: 		gnome-panel-devel
BuildRequires: 		gnome-vfs
BuildRequires: 		gnome-doc-utils
BuildRequires: 		gettext
BuildRequires: 		perl-XML-Parser

%description
gnome-netstatus is an applet which provides information about a
network interface on your panel.

%prep
%setup -q

%build
%configure --sysconfdir=%_sysconfdir/gnome --localstatedir=/var/lib --disable-scrollkeeper --libexecdir=`pkg-config --variable=prefix ORBit-2.0`/lib/gnome-netstatus
make

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# stuff we don't want
rm -rf $RPM_BUILD_ROOT/var/lib/scrollkeeper

%find_lang %{name}

# re-do the symlinks
for doc_lang in de es fr it ja ko sv zh_CN zh_HK zh_TW; do
  if [ -d $RPM_BUILD_ROOT%{_datadir}/gnome/help/gnome-netstatus/${doc_lang}/figures ]; then
    cd $RPM_BUILD_ROOT%{_datadir}/gnome/help/gnome-netstatus/${doc_lang}/figures
    for icon in *.png; do
      rm -f ${icon}
      ln -sf %{_datadir}/icons/hicolor/48x48/apps/${icon} ${icon}
    done
  fi
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gnome/gconf/schemas/netstatus.schemas > /dev/null || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gnome/gconf/schemas/netstatus.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gnome/gconf/schemas/netstatus.schemas > /dev/null || :
fi


%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_datadir}/gnome/help/gnome-netstatus
%{_datadir}/gnome-2.0/ui/*.xml
%{_datadir}/gnome-netstatus
%{_datadir}/icons/hicolor/48x48/apps/*.png
%{_datadir}/omf/gnome-netstatus
%{_datadir}/pixmaps/*.png
%{_libdir}/bonobo/servers/*.server
%{_libdir}/gnome-netstatus/*
%{_sysconfdir}/gnome/gconf/schemas/*.schemas

%changelog
* Thu Mar 22 2007 Christian Metzen <metzench@ccux-linux.de> 2.12.1-1
- Version update
* Sat Nov 11 2006 Christian Metzen <metzench@ccux-linux.de> 2.12.0-1
- Initial release
